Subject: Re: [PATCH net-next v2] ethtool: add netlink based get rxfh support

From: Jakub Kicinski <[email-masked]>
Date: Thu, 10 Nov 2022 14:34:13 -0800

On Thu, 10 Nov 2022 16:08:04 -0600 Samudrala, Sridhar wrote:
> Can we use QGRP as a prefix to indicate that these are per-queue group parameters
> and not restricted to RSS related parameters?
> 
>    QGRP_CONTEXT
>    QGRP_RSS_HFUNC
>    QGRP_RSS_KEY
>    QGRP_RSS_INDIR_TABLE
> 
> In future, we would like to add per-queue group parameters like
>    QGRP_INLINE_FLOW_STEERING (Round robin flow steering of TCP flows)

The RSS context thing is a pretty shallow abstraction, I don't think we
should be extending it into "queue groups" or whatnot. We'll probably
need some devlink objects at some point (rate configuration?) and
locking order is devlink > rtnl, so spawning things from within ethtool
will be a pain :S